package com.qiang.controller;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.qiang.service.UserService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author 吴多强
 * @ClassName: UserController
 * @Description: 用户控制器
 * @date 2019/9/16 1:51
 */
@RestController
public class UserController {
    private static final Logger logger = LoggerFactory.getLogger(UserController.class);
    @Resource
    private UserService userService;

    @RequestMapping("/user")
    public Object getAllUser() {
        Page<Object> page = PageHelper.startPage(0, 1);
        logger.info(page.toString());
        return userService.selectAll();
    }
}
